<? include("vars.inc.php"); ?>
<table width="95%" cellspacing="0" cellpadding="2">
	<?
		$VDR = shell_exec("ps ax|grep -v grep|grep vdr &>/dev/null; echo $?");

			if ($VDR == 0 ){
				exec("svdrpsend.pl plug | grep 214  | cut -b 5- | grep -v \"^End\" | grep -v \"^Available\" | awk '{ print $0 \";\" }'", $Pluginlist);

			foreach ($Pluginlist as $Satz) {
				$Daten = explode(";",$Satz);
				$ausgabe = explode(" - ",$Daten[0]);

			if($bgcolor == "#d1d4e1") {
        			$bgcolor = "#e1e4f1";
			} else {
				$bgcolor = "#d1d4e1";
			}

				echo "<tr><td bgcolor='$bgcolor'><img src=\"images/run.png\" alt=\"Aktiv\"></td><td bgcolor='$bgcolor' valign=\"top\">&nbsp;<b>$ausgabe[0]</b></td><td bgcolor='$bgcolor' valign=\"top\">$ausgabe[1]</td></tr>";
			}
		}
		else {
			echo '<table cellspacing="5" width="95%" align="center" bgcolor="#FFFF99"><tr><td><img src="images/warning.png" alt="Achtung"></td><td><b>Leider ist der VDR nicht aktiv, bitte den VDR starten!</b></td></tr></table>';
		}
	?>
</table>